#include <iostream>

using namespace std;

int main()
{
	
	int n;
	cin >> n;
    float p[200000];
	double suma, max = 0.0;
	unsigned int a[200000];
	for (int i = 0;i < n;i++)
	{
		cin >> a[i];
		cin >> p[i];
	}
	for (int i = 0;i < n;i++)
	{
		suma = 0;
		for (int j = 0;j < n;j++)
		{
			if (p[j] >= p[i])
			{
				suma += (1.0 * a[j]);
			}
		}
		suma *= (p[i] / 100.0);
		if (suma > max)
			max = suma;
	}
	printf("%lf",max);
	return 0;
}